## python-schema-salad 1.6.20160202222448

=== debian/changelog ===
python-schema-salad (1.6.20160202222448-1) unstable; urgency=medium

  * Initial release. (Closes: #813839)

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Fri, 05 Feb 2016 02:18:38 -0800
