=== debian/control ===
Source: python-schema-salad
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <crusoe@ucdavis.edu>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python,
               python-all,
               python-setuptools,
               python-mistune,
               python-avro,
               python-requests,
               python-yaml,
               python-rdflib-jsonld,
               python-rdflib,
               help2man
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/schema-salad.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/schema-salad.git
Homepage: http://www.commonwl.org

Package: python-schema-salad
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends}
Description: Schema Annotations for Linked Avro Data (SALAD)
 Salad is a schema language for describing JSON or YAML structured linked data
 documents. Salad is based originally on JSON-LD and the Apache Avro data
 serialization system.
 .
 Salad schema describes rules for preprocessing, structural validation, and
 link checking for documents described by a Salad schema. Salad features for
 rich data modeling such as inheritance, template specialization, object
 identifiers, object references, documentation generation, and transformation
 to RDF. Salad provides a bridge between document and record oriented data
 modeling and the Semantic Web.
