## python-schema-salad 2.2.20170111180227

=== debian/changelog ===
python-schema-salad (2.2.20170111180227-1~bpo8+2) jessie-backports; urgency=medium

  * Versioned Depends python-lockfile >= 0.12.2

 -- Andreas Tille <tille@debian.org>  Thu, 02 Mar 2017 10:56:49 +0100

python-schema-salad (2.2.20170111180227-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Fri, 24 Feb 2017 09:48:29 +0100

python-schema-salad (2.2.20170111180227-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
  * cme fix dpkg-control
  * debhelper 10

  [ Michael R. Crusoe ]
  * Fix manpage generation.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 12 Jan 2017 00:16:47 -0800

python-schema-salad (1.6.20160202222448-2) unstable; urgency=medium

  * debian/watch, debian/control: correct URLs

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Tue, 23 Feb 2016 08:55:42 -0800
