=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: python-schema-salad
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Michael R. Crusoe <crusoe@ucdavis.edu>
+Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                python,
                python-all,
@@ -14,10 +14,13 @@
                python-yaml,
                python-rdflib-jsonld,
                python-rdflib,
+               python-typing,
+               python-cachecontrol,
+               python-lockfile (>= 0.12.2),
                help2man
-Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/schema-salad.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/schema-salad.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-schema-salad.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/python-schema-salad.git
 Homepage: http://www.commonwl.org
 
 Package: python-schema-salad
