=== debian/changelog ===
python-schema-salad (2.6.20170630075932-2) unstable; urgency=medium

  * Fix broken manual pages. (Closes: #851336). Thanks to Daniel Shahaf
    for the report and mattia@debian.org for the reminder.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 08 Aug 2017 07:58:13 -0700

python-schema-salad (2.6.20170630075932-1) unstable; urgency=medium

  * New upstream version 2.6.20170630075932

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 25 Jan 2017 23:46:56 -0800
