=== debian/control ===
--- 
+++ 
@@ -14,11 +14,12 @@
                python-yaml,
                python-rdflib-jsonld,
                python-rdflib,
+               python-ruamel.yaml,
                python-typing,
                python-cachecontrol,
-               python-lockfile (>= 0.12.2),
+               python-lockfile,
                help2man
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-schema-salad.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/python-schema-salad.git
 Homepage: http://www.commonwl.org
