## python-schema-salad 2.6.20171201034858

=== Makefile ===
--- 
+++ 
@@ -170,7 +170,7 @@
 	ln -s $(shell python -c 'from __future__ import print_function; import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))') \
 		typeshed/2and3/ruamel/
 	MYPYPATH=$MYPYPATH:typeshed/2.7:typeshed/2and3 mypy --py2 --disallow-untyped-calls \
-		 --warn-redundant-casts --warn-unused-ignores \
+		 --warn-redundant-casts \
 		 schema_salad
 
 mypy3: ${PYSOURCES}
@@ -191,6 +191,7 @@
 	. env3/bin/activate ; \
 	pip install -U setuptools pip wheel ; \
 	${MAKE} install-dep ; \
-	pip install -U -r mypy_requirements.txt ; ${MAKE} mypy
+	pip install -U -r mypy_requirements.txt ; ${MAKE} mypy2
+	# pip install -U -r mypy_requirements.txt ; ${MAKE} mypy3
 
 FORCE:
