=== debian/changelog ===
python-schema-salad (2.6.20171201034858-3) unstable; urgency=medium

  * Add missing python-avro dependency

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 18 Feb 2018 05:27:57 -0800

python-schema-salad (2.6.20171201034858-2) unstable; urgency=medium

  * Team upload
  * Allow python-avro >= 1.8.1 (instead of == 1.8.1)

 -- Andreas Tille <tille@debian.org>  Fri, 22 Dec 2017 09:18:54 +0100

python-schema-salad (2.6.20171201034858-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.1.1
  * Recommends: cwltool (to enable running all test scripts)
  * Use locally installed bootstrap.min.css instead of risking privacy breach

 -- Andreas Tille <tille@debian.org>  Wed, 06 Dec 2017 16:47:18 +0100
