=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: python
+Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper (>= 10),
                dh-python,
@@ -19,7 +20,7 @@
                python-cachecontrol,
                python-lockfile,
                help2man
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-schema-salad.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/python-schema-salad.git
 Homepage: http://www.commonwl.org
@@ -27,7 +28,10 @@
 Package: python-schema-salad
 Architecture: all
 Depends: ${python:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         python-avro,
+         libjs-bootstrap
+Recommends: cwltool
 Description: Schema Annotations for Linked Avro Data (SALAD)
  Salad is a schema language for describing JSON or YAML structured linked data
  documents. Salad is based originally on JSON-LD and the Apache Avro data
