=== debian/changelog ===
python-schema-salad (3.0.20181206233650-2) unstable; urgency=medium

  * Fix the already shipped tests and enable them as autopkgtests.
  * Run the same tests at compile time.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 04 Jan 2019 06:45:22 -0800

python-schema-salad (3.0.20181206233650-1) unstable; urgency=medium

  * New upstream version
  * debhelper 11

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 03 Jan 2019 00:44:53 -0800

python-schema-salad (3.0.20181129082112-1) unstable; urgency=medium

  * New upstream release
  * Now a pure Python3 library

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 20 Dec 2018 05:37:41 -0800
