=== debian/control ===
Source: python-schema-salad
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               python3,
               python3-all,
               python3-setuptools,
               python3-mistune,
               python3-requests,
               python3-yaml,
               python3-rdflib-jsonld,
               python3-rdflib,
               python3-ruamel.yaml,
               python3-cachecontrol,
               python3-lockfile,
               python3-typing-extensions,
	       python3-pytest-xdist,
	       python3-pytest-runner,
               help2man
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/python-schema-salad
Vcs-Git: https://salsa.debian.org/med-team/python-schema-salad.git
Homepage: http://www.commonwl.org

Package: python3-schema-salad
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         libjs-bootstrap
Recommends: cwltool
Breaks: cwltool (<< 1.0.20181128175059)
Conflicts: python-schema-salad
Description: Schema Annotations for Linked Avro Data (SALAD)
 Salad is a schema language for describing JSON or YAML structured linked data
 documents. Salad is based originally on JSON-LD and the Apache Avro data
 serialization system.
 .
 Salad schema describes rules for preprocessing, structural validation, and
 link checking for documents described by a Salad schema. Salad features for
 rich data modeling such as inheritance, template specialization, object
 identifiers, object references, documentation generation, and transformation
 to RDF. Salad provides a bridge between document and record oriented data
 modeling and the Semantic Web.
