=== requirements.txt ===
typing==3.7.4 ; python_version < "3.5"
ruamel.yaml>=0.12.4, <= 0.16
rdflib==4.2.2
rdflib-jsonld==0.4.0
mistune>=0.8.1,<0.9
CacheControl==0.11.7
lockfile==0.12.2
typing-extensions
future
