=== debian/changelog ===
python-schema-salad (4.5.20190815125611-3) unstable; urgency=medium

  * debian/patches/lower-case.patch: improvement from Steve Langasek
    <steve.langasek@canonical.com>, thanks! (Closes: #935680)
  * debian/rules: use interpreter shortcut in pytest invocation

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 26 Aug 2019 07:07:03 +0200

python-schema-salad (4.5.20190815125611-2) unstable; urgency=medium

  * debian/patches/lower-case.patch: better fix

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 16 Aug 2019 12:43:50 +0200

python-schema-salad (4.5.20190815125611-1) unstable; urgency=medium

  * New upstream version
  * debian/patches/lower-case.patch: Fix build error due to mixed case paths

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 16 Aug 2019 11:56:37 +0200

python-schema-salad (4.5.20190729164411-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 13 Aug 2019 18:53:05 +0200

python-schema-salad (4.5.20190621200723-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 13 Aug 2019 13:08:20 +0200
