=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3,
                python3-all,
+               python3-future,
                python3-setuptools,
                python3-mistune,
                python3-requests,
@@ -17,10 +18,10 @@
                python3-cachecontrol,
                python3-lockfile,
                python3-typing-extensions,
-	       python3-pytest-xdist,
-	       python3-pytest-runner,
+               python3-pytest-xdist,
+               python3-pytest-runner,
                help2man
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-schema-salad
 Vcs-Git: https://salsa.debian.org/med-team/python-schema-salad.git
 Homepage: http://www.commonwl.org
@@ -31,7 +32,7 @@
          ${misc:Depends},
          libjs-bootstrap
 Recommends: cwltool
-Breaks: cwltool (<< 1.0.20181128175059)
+Breaks: cwltool (<< 1.0.20190621)
 Conflicts: python-schema-salad
 Description: Schema Annotations for Linked Avro Data (SALAD)
  Salad is a schema language for describing JSON or YAML structured linked data
