## python-schema-salad 5.0.20200126033820

=== debian/changelog ===
python-schema-salad (5.0.20200126033820-2) unstable; urgency=medium

  * Allow for newer versions of CacheControl.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 14 Feb 2020 13:19:16 +0100

python-schema-salad (5.0.20200126033820-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 28 Jan 2020 14:05:51 +0100

python-schema-salad (5.0.20200122085940-2) unstable; urgency=medium

  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g
  * debian/patches/better_is_fs_case_sensitive: allow test to work post-
    installation.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 28 Jan 2020 10:06:03 +0100

python-schema-salad (5.0.20200122085940-1) unstable; urgency=medium

  * New upstream version
  * Use secure URI in Homepage field.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 24 Jan 2020 16:52:41 +0100
