=== debian/control ===
--- 
+++ 
@@ -21,10 +21,10 @@
                python3-pytest-xdist,
                python3-pytest-runner,
                help2man
-Standards-Version: 4.4.0
+Standards-Version: 4.4.5
 Vcs-Browser: https://salsa.debian.org/med-team/python-schema-salad
 Vcs-Git: https://salsa.debian.org/med-team/python-schema-salad.git
-Homepage: http://www.commonwl.org
+Homepage: https://www.commonwl.org
 
 Package: python3-schema-salad
 Architecture: all
@@ -32,7 +32,6 @@
          ${misc:Depends},
          libjs-bootstrap
 Recommends: cwltool
-Breaks: cwltool (<< 1.0.20190621)
 Conflicts: python-schema-salad
 Description: Schema Annotations for Linked Avro Data (SALAD)
  Salad is a schema language for describing JSON or YAML structured linked data
