=== debian/changelog ===
python-schema-salad (5.0.20200220195218-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 27 Feb 2020 19:57:12 +0100
