=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                python3-pytest-xdist,
                python3-pytest-runner,
                help2man
-Standards-Version: 4.4.5
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-schema-salad
 Vcs-Git: https://salsa.debian.org/med-team/python-schema-salad.git
 Homepage: https://www.commonwl.org
