=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,7 @@
 	dh_auto_install
 	PYBUILD_SYSTEM=custom \
 	PYBUILD_TEST_ARGS="cd {dir}; export PATH={destdir}/usr/bin:$$PATH ; \
-	cd {build_dir}; export PYTHONPATH=$$(pwd); python3 -m pytest \
+	cd {build_dir}; export PYTHONPATH=$$(pwd); {interpreter} -m pytest \
 		-n auto --dist=loadfile --pyarg schema_salad" dh_auto_test
 endif
