=== debian/tests/control ===
Tests: run-tests
Depends: @, python3-pytest-xdist
Restrictions: allow-stderr
