## python-schema-salad 7.0.20200811075006

=== Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 
 # Updating the Major & Minor version below?
 # Don't forget to update setup.py as well
-VERSION=5.0.$(shell date +%Y%m%d%H%M%S --utc --date=`git log --first-parent \
+VERSION=7.0.$(shell date +%Y%m%d%H%M%S --utc --date=`git log --first-parent \
 	--max-count=1 --format=format:%cI`)
 
 ## all         : default task
@@ -82,11 +82,11 @@
 	pydocstyle setup.py $^ > $@ 2>&1 || true
 
 diff_pydocstyle_report: pydocstyle_report.txt
-	diff-quality --violations=pycodestyle --fail-under=100 $^
+	diff-quality --compare-branch=main --violations=pycodestyle --fail-under=100 $^
 
 ## format      : check/fix all code indentation and formatting (runs black)
 format:
-	black --exclude metaschema.py schema_salad
+	black --exclude metaschema.py schema_salad setup.py
 
 ## pylint      : run static code analysis on Python code
 pylint: $(PYSOURCES)
@@ -173,6 +173,9 @@
 		 --warn-redundant-casts \
 		 schema_salad
 
+mypyc: ${PYSOURCES}
+	MYPYPATH=typeshed/2and3/:typeshed/3 SCHEMA_SALAD_USE_MYPYC=1 python setup.py test
+
 jenkins: FORCE
 	rm -Rf env && virtualenv env
 	. env/bin/activate ; \
