=== debian/changelog ===
python-schema-salad (7.0.20200811075006-1) unstable; urgency=medium

  * Move source package to DPMT.
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Refreshed the patches.
  * Allow for a newer ruamel.yaml package

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 27 Aug 2020 11:22:09 +0200

python-schema-salad (5.0.20200416112825-1) unstable; urgency=medium

  * New upstream version. (Closes: #959597)
  * Refreshed the patches.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 11 May 2020 14:33:27 +0200

python-schema-salad (5.0.20200302192450-1) unstable; urgency=medium

  * New upstream version
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 10 Apr 2020 17:10:17 +0200
