=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: python-schema-salad
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Michael R. Crusoe <crusoe@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
                python3-all,
@@ -22,9 +22,10 @@
                python3-pytest-runner,
                help2man
 Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/med-team/python-schema-salad
-Vcs-Git: https://salsa.debian.org/med-team/python-schema-salad.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-schema-salad
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-schema-salad.git
 Homepage: https://www.commonwl.org
+Rules-Requires-Root: no
 
 Package: python3-schema-salad
 Architecture: all
